//---------------------------------------------------------------------------
#ifndef MailboxDlgsH
#define MailboxDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "OpenDlgs.h"
#include <vcl\Buttons.hpp>
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
bool __fastcall OpenMailboxes();

class TMailboxDlg : public TOpenDlg
{
__published:	// IDE-managed Components
	TSpeedButton *DelBoxBtn;
	TSpeedButton *NewBoxBtn;
	TSpeedButton *MenuBtn;
	TPopupMenu *PopupMenu;
	TMenuItem *PopNewItem;
	TMenuItem *N1;
	TMenuItem *PopOpenItem;
	TMenuItem *PopDeleteItems;
	TMenuItem *PopRenameItem;
	TSpeedButton *RenBoxBtn;
	TMenuItem *N2;
	TMenuItem *PopMenuManagerMode;
	void __fastcall MenuBtnClick(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall ItemsBoxClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
	void __fastcall PopupMenuPopup(TObject *Sender);
	void __fastcall PopNewItemClick(TObject *Sender);
	void __fastcall PopOpenItemClick(TObject *Sender);
	void __fastcall PopDeleteItemsClick(TObject *Sender);
	void __fastcall PopRenameItemClick(TObject *Sender);
	void __fastcall PopMenuManagerModeClick(TObject *Sender);
	void __fastcall ItemsBoxDrawItem(TWinControl *Control, int Index, TRect &Rect,
   	TOwnerDrawState State);
	void __fastcall FormResize(TObject *Sender);
  
  
  void __fastcall ItemsBoxDblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
   bool menumode;
  TStringList *menuboxes;
	__fastcall TMailboxDlg(TComponent* Owner);
  __fastcall~TMailboxDlg();
  bool __fastcall OnMailboxMenu(AnsiString &Boxname);
  bool __fastcall DelFromMenu(AnsiString &Boxname);
  void __fastcall SaveMailboxMenu();
  void __fastcall LoadMailboxes();
  void __fastcall ClearSelected();
  void __fastcall SetSelected();
  bool __fastcall MenuModified();
};
//---------------------------------------------------------------------------
extern TMailboxDlg *MailboxDlg;
//---------------------------------------------------------------------------
#endif
